Index: src/main/java/com/tourMate/dao/RestaurantDao.java
===================================================================
--- src/main/java/com/tourMate/dao/RestaurantDao.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dao/RestaurantDao.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -8,116 +8,45 @@
 
 public interface RestaurantDao {
+    public void createRestaurant(Restaurant restaurant, long userId);
+    public void deleteRestaurant(long restaurantID);
     @Transactional
-    void createRestaurant(Restaurant restaurant);
-    List<RestaurantsAvailible> getTablesByDateAndLocation(String restaurantLocation, Date hourFrom, Date hourTo, int noSeats);
+    public void editRestaurant(long restaurantID, String restaurantName, String restaurantLocation, String cousineType, String restaurantDescription, String restaurantEdbs, User restaurantOwner);
+    public Restaurant findRestaurantByID (long restaurantID);
+    public List<Restaurant> searchByRestaurantName(String restaurantName);
+    public List<Restaurant> searchByRestaurantLocation(String restaurantLocation);
+    public List<Restaurant> getRestaurants();
     @Transactional
-    void addRestaurantImage(RestaurantImages restaurantImages);
+    public void addMenuToRestaurant(long restaurantId, Menu menu);
+
+    public List<RestaurantsAvailible> getTablesByDateAndLocation(String restaurantLocation, Date hourFrom, Date hourTo, int noSeats);
+
+    public void createTable(Restaurant restaurant, int noSeats);
+    public void editTable(Restaurant restaurant, long tableId, int noSeats);
+    public void deleteTable(long tableId);
+    public List<Restaurant> getRestaurantsByUser(long userId);
+    public RestaurantsTable findTableById(long tableId);
+    public List<RestaurantsTable> searchByNoSeats(int noSeats);
+    public List<RestaurantsTable> getRestaurantTables(long restaurantID);
+
+    public void addRestaurantImage(Restaurant restaurant, String url);
+    public void removeRestaurantImage(long restaurantImageId);
+    public RestaurantImages findRestaurantImageById(long restaurantImageId);
+    public List<RestaurantImages> getRestaurantImages(long restaurantID);
+
+    public void createTableAvailable(RestaurantsTable restaurantsTable, Date hourFrom, Date hourTo, int noSeats);
     @Transactional
-    void removeRestaurantImage(RestaurantImages image);
-    @Transactional
-    void saveTable(RestaurantsTable resTable);
-    @Transactional
-    RestaurantImages findRestaurantImageById(long restaurantImageId);
-    void deleteRestaurant(Restaurant r);
-    List<Restaurant> getRestaurants();
-    @Transactional
-    void addMenuToRestaurant(Menu menu);
-    Restaurant findRestaurantByID(long restaurantID);
-    List<RestaurantImages> getRestaurantImages(long restaurantID);
-    List<RestaurantsTable> getRestaurantTables(long restaurantID);
-    RestaurantsTable findTableById(long tableId);
-    @Transactional
-    void deleteTable(RestaurantsTable rt);
-    List<Restaurant> getRestaurantsByUser(User u);
-    List<RestaurantsAvailible> getTablesAvailabilityById(Long id);
-    @Transactional
-    void saveTableAvailable(RestaurantsAvailible ra);
-    @Transactional
-    void deleteTableAvailable(RestaurantsAvailible ra);
+    abstract void createTableAvailable(RestaurantsTable restaurantsTable, Date hourFrom, Date hourTo);
+    public List<RestaurantsAvailible> getTablesAvailabilityById(Long id);
+    public void editTableAvailable(long tableId, Restaurant restaurant, int noSeats);
+    public void deleteTableAvailable(long tableId);
+    public RestaurantsAvailible findAvailableReservationByID(long availibleId);
 
-    List<RestaurantsAvailible> getTablesAvailability();
-
-    //    List<RestaurantsAvailible> getTablesAvailability();
-    @Transactional
-    void createReservation(RestaurantReservations reservations);
-    @Transactional
-    void deleteReservation(RestaurantReservations r);
-    RestaurantReservations findReservationByID(long tableId);
-    RestaurantsAvailible findAvailableReservationByID(long availibleId);
-    List<RestaurantReservations> findReservationByUser(User user);
-    List<RestaurantReservations> findReservationByRestaurant(Restaurant restaurant);
-    List<RestaurantReservations> getReservations();
-    List<Restaurant> searchByRestaurantName(String restaurantName);
-
-    List<Restaurant> searchByRestaurantLocation(String restaurantLocation);
-
-    List<RestaurantsTable> searchByNoSeats(int noSeats);
-
-    List<Reviews> findReviewsByRestaurant(Restaurant restaurant);
-
-    List<RestaurantReservations> findPastReservationsByUser(User user);
-
-    List<MenuImages> getMenuImages(long menuId);
-
-    List<MenuImages> getMenuImagesByRestaurant(Restaurant restaurant);
-
-    @Transactional
-    void addMenuImage(MenuImages menuImages);
-
-    Menu findMenuId(Long menuId);
-
-    void saveReservation(RestaurantReservations r);
-
-//    public void createRestaurant(Restaurant restaurant, long userId);
-//    public void deleteRestaurant(long restaurantID);
-//    @Transactional
-//    public void editRestaurant(long restaurantID, String restaurantName, String restaurantLocation, String cousineType, String restaurantDescription, String restaurantEdbs, User restaurantOwner);
-//    public Restaurant findRestaurantByID (long restaurantID);
-//    public List<Restaurant> searchByRestaurantName(String restaurantName);
-//    public List<Restaurant> searchByRestaurantLocation(String restaurantLocation);
-//    public List<Restaurant> getRestaurants();
-//    @Transactional
-//    public void addMenuToRestaurant(long restaurantId, Menu menu);
-//
-//    public List<RestaurantsAvailible> getTablesByDateAndLocation(String restaurantLocation, Date hourFrom, Date hourTo, int noSeats);
-//
-//    public void createTable(Restaurant restaurant, int noSeats);
-//    public void editTable(Restaurant restaurant, long tableId, int noSeats);
-//    public void deleteTable(long tableId);
-//    public List<Restaurant> getRestaurantsByUser(long userId);
-//    public RestaurantsTable findTableById(long tableId);
-//    public List<RestaurantsTable> searchByNoSeats(int noSeats);
-//    public List<RestaurantsTable> getRestaurantTables(long restaurantID);
-//
-//    public void addRestaurantImage(RestaurantImages restaurantImages);
-//    public void removeRestaurantImage(long restaurantImageId);
-//    public RestaurantImages findRestaurantImageById(long restaurantImageId);
-//    public List<RestaurantImages> getRestaurantImages(long restaurantID);
-//
-//    public void createTableAvailable(RestaurantsTable restaurantsTable, Date hourFrom, Date hourTo, int noSeats);
-//    @Transactional
-//    abstract void createTableAvailable(RestaurantsTable restaurantsTable, Date hourFrom, Date hourTo);
-//    public List<RestaurantsAvailible> getTablesAvailabilityById(Long id);
-//    public void editTableAvailable(long tableId, Restaurant restaurant, int noSeats);
-//    public void deleteTableAvailable(long tableId);
-//    public RestaurantsAvailible findAvailableReservationByID(long availibleId);
-//
-//    public List<RestaurantsAvailible> getTablesAvailability();
-//    public void createReservation(RestaurantReservations reservations);
-//    public void editReservation(long restaurantsTableId, RestaurantsTable rt, Date hourFrom, Date hourTo, int noSeats, User user);
-//    public void deleteReservation(long restaurantsTableId);
-//    public RestaurantReservations findReservationByID(long tableId);
-//    public List<RestaurantReservations> findReservationByUser(User user);
-//    public List<RestaurantReservations> findReservationByRestaurant(Restaurant restaurant);
-//    public List<RestaurantReservations> getReservations();
-//
-//    List<Reviews> findReviewsByRestaurant(Restaurant restaurant);
-//
-//    List<RestaurantReservations> findPastReservationsByUser(User u);
-//    List<MenuImages> getMenuImages(long menuId);
-//    public void addMenuImage(MenuImages menuImages);
-//
-//    Menu findMenuId(Long menuId);
-//
-//    void saveReservation(RestaurantReservations restaurantReservations);
+    public List<RestaurantsAvailible> getTablesAvailability();
+    public void createReservation(RestaurantsTable rt, Date hourFrom, Date hourTo, User user);
+    public void editReservation(long restaurantsTableId, RestaurantsTable rt, Date hourFrom, Date hourTo, int noSeats, User user);
+    public void deleteReservation(long restaurantsTableId);
+    public RestaurantReservations findReservationByID(long tableId);
+    public List<RestaurantReservations> findReservationByUser(User user);
+    public List<RestaurantReservations> findReservationByRestaurant(Restaurant restaurant);
+    public List<RestaurantReservations> getReservations();
 }
Index: src/main/java/com/tourMate/dao/ReviewDao.java
===================================================================
--- src/main/java/com/tourMate/dao/ReviewDao.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dao/ReviewDao.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -5,44 +5,19 @@
 import com.tourMate.entities.Reviews;
 import com.tourMate.entities.Transport;
-import jakarta.transaction.Transactional;
-
 import java.util.List;
 
 public interface ReviewDao {
-    @Transactional
-    void createReview(Reviews review);
 
-    void deleteReview(Reviews review);
-
-    Reviews findReviewById(long id);
-
-    void editReview(Reviews review);
-
-    List<Reviews> getAllReviews();
-
-    List<Reviews> getHotelReviews();
-
-    List<Reviews> getTransportReviews();
-
-    List<Reviews> getRestaurantReviews();
-
-    List<Reviews> getHotelReviews(Hotels hotel);
-
-    List<Reviews> getRestaurantReviews(Restaurant restaurant);
-
-    List<Reviews> getTransportReviews(Transport transport);
-//    @Transactional
-//    void createReview(Reviews review);
-//
-//    public void deleteReview(long id);
-//    public void editReview(long id, String title, String description, int numStar, Hotels hotel, Restaurant restaurant, Transport transport);
-//    public Reviews findReviewById(long id);
-//    public List<Reviews> getAllReviews();
-//    public List<Reviews> getHotelReviews();
-//    public List<Reviews> getTransportReviews();
-//    public List<Reviews> getRestaurantReviews();
-//    public List<Reviews> getHotelReviews(Hotels hotel);
-//    public List<Reviews> getRestaurantReviews(Restaurant restaurant);
-//    public List<Reviews> getTransportReviews(Transport transport);
+    public void createReview(String title, String description, int numStar, Hotels hotel, Restaurant restaurant, Transport transport);
+    public void deleteReview(long id);
+    public void editReview(long id, String title, String description, int numStar, Hotels hotel, Restaurant restaurant, Transport transport);
+    public Reviews findReviewById(long id);
+    public List<Reviews> getAllReviews();
+    public List<Reviews> getHotelReviews();
+    public List<Reviews> getTransportReviews();
+    public List<Reviews> getRestaurantReviews();
+    public List<Reviews> getHotelReviews(Hotels hotel);
+    public List<Reviews> getRestaurantReviews(Restaurant restaurant);
+    public List<Reviews> getTransportReviews(Transport transport);
 
 }
Index: src/main/java/com/tourMate/dao/TokenDao.java
===================================================================
--- src/main/java/com/tourMate/dao/TokenDao.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
+++ src/main/java/com/tourMate/dao/TokenDao.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -0,0 +1,14 @@
+package com.tourMate.dao;
+
+import com.tourMate.entities.Token;
+import jakarta.transaction.Transactional;
+
+import java.time.LocalDateTime;
+import java.util.Date;
+
+public interface TokenDao {
+    public void saveToken(Token token);
+    public Token getToken(String token);
+    @Transactional
+    public void setConfirmedAt(String token, LocalDateTime dateTime);
+}
Index: src/main/java/com/tourMate/dao/TransportDao.java
===================================================================
--- src/main/java/com/tourMate/dao/TransportDao.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dao/TransportDao.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,127 +1,58 @@
 package com.tourMate.dao;
 
+import com.tourMate.dto.RouteListingDto;
+import com.tourMate.dto.TransportDto;
 import com.tourMate.entities.*;
-import jakarta.transaction.Transactional;
 
 
+import java.util.Collection;
 import java.util.Date;
 import java.util.List;
 
 public interface TransportDao {
-    @Transactional
-    void createTransport(Transport t);
 
-    @Transactional
-    void deleteTransport(Transport t);
+    public void createTransport(String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate);
 
-    List<Transport> getTransports();
+    public void deleteTransport(long transportId);
 
-    List<Transport> getTransportsByUser(User u);
+    public void editTransport(long transportID, String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate);
 
-    List<TransportAvailible> getRoutesForTransport(Transport t);
+    public List<Transport> getTransports();
+    public List<TransportDto> getTransportsByUser(long userId);
 
-    Transport findTransportById(long transportId);
+    public List<RouteListingDto> getRoutesForTransport(long transportId);
+    public Transport getTransportById(long transportId);
+    public TransportDto findTransportById (long transportId);
 
-    Transport getTransportById(long transportId);
+    public void createTransportReservation(Transport transport, String departureLocation, String arrivalLocation, Date date, Integer noSeats, User user, Date departureHour);
 
-    @Transactional
-    void editTransport(Transport t);
+    public void editTransportReservation(Transport transport, long reservationID, String departureLocation, String arrivalLocation, Date date, Integer noSeats, User user, Date departureHour);
 
-    @Transactional
-    void createTransportReservation(TransportReservation transportReservation);
+    public void deleteTransportReservation(long reservationID);
 
-    TransportReservation findTransportReservationByID(long reservationID);
+    public TransportReservation findTransportReservationByID(long reservationID);
 
-    List<TransportReservation> getTransportReservations();
+    public List<TransportReservation> getTransportReservations();
 
-    TransportAvailible findTransportAvailableByID(long reservationID);
+    public List<TransportReservation> getTransportsReservationsByUserID(long userID);
 
-    List<TransportRoute> getTransportsAvailableByFilters(String fromL, String toL, Date date, int numPassengers);
+    public void createTransportAvailable(Transport transport, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour, Collection<TransportRoute> routes);
 
-    List<TransportReservation> getTransportsReservationsByUserID(long userID);
+    public void editTransportAvailable(Transport transport, long availableID, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour);
 
-    List<TransportAvailible> getTransportsAvailable();
+    public void deleteTransportAvailable(long availableID);
 
-    @Transactional
-    void createTransportAvailable(TransportAvailible ta);
+    public TransportAvailible findTransportAvailableByID (long reservationID);
 
-    void editTransportAvailable(TransportAvailible ta);
+    public List<TransportAvailible> getTransportsAvailable();
 
-    TransportRoute findTransportRouteById(long transportRouteId);
+    public List<TransportRoute> getTransportsAvailableByFilters (String from,String to,Date date);
 
-    List<Reviews> getReviewsForTransport(Transport transport);
+    public void createTransportRoute(TransportAvailible parentRoute, String from, String to, double price, Date departure, Date arrival, int freeSpace, int order);
 
-    List<TransportReservation> findPastReservationByUser(User user);
+    public void deleteTransportRoute(long transportRouteId);
 
-    @Transactional
-    void saveReservation(TransportReservation transportReservation);
+    public void editTransportRoute(long transportRouteId, TransportAvailible parentRoute, String from, String to, double price, Date departure, Date arrival, int freeSpace, int order);
 
-    List<TransportReservation> findReservationByUser(User user);
-
-    @Transactional
-    void deleteTransportReservation(TransportReservation tr);
-
-    @Transactional
-    void deleteTransportAvailable(TransportAvailible ta);
-
-    void createTransportRoute(TransportRoute tr);
-
-    void deleteTransportRoute(TransportRoute tr);
-
-    void editTransportRoute(TransportRoute tr);
-
-    List<TransportReservation> findTransportReservationByTransportId(Transport t);
-
-//    public void createTransport(String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, Long userId, String carPlate);
-//
-//    public void deleteTransport(long transportId);
-//
-//    public void editTransport(long transportID, String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate);
-//
-//    public List<Transport> getTransports();
-//    public List<TransportDto> getTransportsByUser(long userId);
-//
-//    public List<RouteListingDto> getRoutesForTransport(long transportId);
-//    public Transport getTransportById(long transportId);
-//    public TransportDto findTransportById (long transportId);
-//
-//    public void createTransportReservation(TransportReservation transportReservation);
-//
-//    public void editTransportReservation(Transport transport, long reservationID, String departureLocation, String arrivalLocation, Date date, Integer noSeats, User user, Date departureHour);
-//
-//    public void deleteTransportReservation(long reservationID);
-//
-//    public TransportReservation findTransportReservationByID(long reservationID);
-//
-//    public List<TransportReservation> getTransportReservations();
-//
-//    public List<TransportReservation> getTransportsReservationsByUserID(long userID);
-//
-//    public void createTransportAvailable(Transport transport, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour, Collection<TransportRoute> routes);
-//
-//    public void editTransportAvailable(Transport transport, long availableID, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour);
-//
-//    public void deleteTransportAvailable(long availableID);
-//
-//    public TransportAvailible findTransportAvailableByID (long reservationID);
-//
-//    public List<TransportAvailible> getTransportsAvailable();
-//
-//    public List<TransportRoute> getTransportsAvailableByFilters (String from, String to, Date date, int numPassengers);
-//
-//    public void createTransportRoute(TransportAvailible parentRoute, String from, String to, double price, Date departure, Date arrival, int freeSpace, int order);
-//
-//    public void deleteTransportRoute(long transportRouteId);
-//
-//    public void editTransportRoute(long transportRouteId, TransportAvailible parentRoute, String from, String to, double price, Date departure, Date arrival, int freeSpace, int order);
-//
-//    public TransportRoute findTransportRouteById(long transportRouteId);
-//
-//    List<Reviews> getReviewsForTransport(Transport transport);
-//
-//    List<TransportReservation> findReservationByUser(User u);
-//
-//    List<TransportReservation> findPastReservationByUser(User user);
-//
-//    void saveReservation(TransportReservation transportReservation);
+    public TransportRoute findTransportRouteById(long transportRouteId);
 }
Index: src/main/java/com/tourMate/dao/UsersDao.java
===================================================================
--- src/main/java/com/tourMate/dao/UsersDao.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dao/UsersDao.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,8 +1,6 @@
 package com.tourMate.dao;
 
-import com.tourMate.entities.Providers;
 import com.tourMate.entities.Role;
 import com.tourMate.entities.User;
-import jakarta.transaction.Transactional;
 import org.springframework.security.core.userdetails.UserDetails;
 
@@ -25,18 +23,3 @@
 
     UserDetails findUserByUsername(String username);
-
-    List<User> getUnapprovedUsers();
-
-    void approveUserProfile(User u);
-
-    Role findById(Long id);
-    User updateUser(User s);
-    User findByUsernameAndProvider(String username, String providers);
-
-    @Transactional
-    User mergeUser(User user);
-
-    List<User> getAdmins();
-
-    List<User> findConnectedAccountsByUser(User u);
 }
Index: src/main/java/com/tourMate/dao/impl/BusinessDaoImpl.java
===================================================================
--- src/main/java/com/tourMate/dao/impl/BusinessDaoImpl.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dao/impl/BusinessDaoImpl.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -4,10 +4,7 @@
 import com.tourMate.entities.Business;
 import com.tourMate.entities.User;
-import com.tourMate.events.OnBusinessApprovedEvent;
 import jakarta.persistence.EntityManager;
 import jakarta.persistence.PersistenceContext;
 import jakarta.transaction.Transactional;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.context.ApplicationEventPublisher;
 import org.springframework.stereotype.Service;
 
@@ -19,15 +16,16 @@
     @PersistenceContext
     EntityManager em;
-    @Autowired
-    ApplicationEventPublisher eventPublisher;
 
     @Transactional
     @Override
-    public void createBusiness(Business business) {
+    public void createBusiness(Business business, long userId) {
+        User u = em.find(User.class, userId);
+        business.setUser(u);
         em.persist(business);
     }
 
     @Override
-    public List<Business> getUnapprovedBusinessesOfUser(User u) {
+    public List<Business> getUnapprovedBusinessesOfUser(long userId) {
+        User u = em.find(User.class, userId);
         return em.createQuery("SELECT b FROM Business b WHERE b.user = :user").setParameter("user", u).getResultList();
     }
@@ -35,27 +33,15 @@
     @Transactional
     @Override
-    public void deleteBusiness(Business business) {
+    public void deleteBusiness(long businessId) {
+        Business business = findBusinessById(businessId);
         em.remove(business);
+
     }
 
     @Override
-    public boolean hasBusiness(User u)
+    public boolean hasBusiness(long userId)
     {
-        return Integer.parseInt(em.createQuery("SELECT COUNT(b) FROM Business b WHERE b.user = :user or b.user in :users")
-                .setParameter("user", u)
-                .setParameter("users", u.getConnectedAccounts())
-                .getSingleResult().toString()) > 0;
-    }
-
-    @Override
-    public List<Business> getUnapprovedBusinesses() {
-        return em.createQuery("select b from Business b where not b.approved").getResultList();
-    }
-
-    @Override
-    @Transactional
-    public void approveBusiness(Business b) {
-        em.persist(b);
-        eventPublisher.publishEvent(new OnBusinessApprovedEvent(b.getUser()));
+        User u = em.find(User.class, userId);
+        return Integer.parseInt(em.createQuery("SELECT COUNT(b) FROM Business b WHERE b.user = :user").setParameter("user", u).getSingleResult().toString()) > 0;
     }
 
@@ -71,8 +57,14 @@
     }
 
-
     @Transactional
     @Override
-    public void editBusiness(Business business) {
+    public void editBusiness(long businessId, String name, String phone, String address, String edbs, User user, boolean approved) {
+        Business business = findBusinessById(businessId);
+        business.setName(name);
+        business.setPhone(phone);
+        business.setAddress(address);
+        business.setEdbs(edbs);
+        business.setUser(user);
+        business.setApproved(approved);
         em.persist(business);
     }
